#!/usr/local/bin/perl

use Net::SMTP;  


#-------------------------------------------------------------------
#     Program Variables:  Setup these for your specific environment
#-------------------------------------------------------------------
my $DEBUG      = 1;  					  # Set it to 0 to turn it off, 1 = On

my $ServerName = "www.yourmailserver.com";                # Your smtp server name  
my $MailFrom   = "email_address\@yourmailserver.com";     # Sender's "real" email address  
my $MailTo     = "email_address\@yourmailserver.com";     # Recipient's "real" email address  
my $displayFrom= "Wily Alert System\@yourmailserver.com"; # Sender's email address to display in the message
my $displayTo  = "email_address\@yourmailserver.com";     # Recipient's email address to display in the message
my $emailSubject="Introscope Alert";                      # Subject line of the e-mail 

if($DEBUG)  
{  
   $| = 1;  
   open(STDERR, ">&STDOUT");  
}

#-------------------------------------------------------------------
#     Parse the Introscope Alert Message into logical sections
#-------------------------------------------------------------------

	#------   Standardize the Timestamp of the Alert  (mm/dd/yy hh:mi:ss AM) ----------
	($mm,$dd,$yy, $hr, $mi, $ss, $am )=split (/\/| |:/, $ARGV[0]);
	$alert_date_time = sprintf "%02d/%02d/%02d %02d:%02d:%02d %s", $mm, $dd, $yy, $hr, $mi, $ss, $am;


	#------   Parse out the alert Name & Value   ----------
	($time_part1,$time_part2,$time_part3_host,$ip_address,$alert,$metric_tree,$metric_name,$alert_value)=split(/[:=]/, $ARGV[0]);
	$alert =~ s/ *//;
	$alert = substr($alert,11);

	$eMail_msg = sprintf("At %s, Wily Introscope identified the following condition:\n\n   %s\n   The actual value was%s\n   ", $alert_date_time, $alert, $alert_value);

	print "\n##############################################################################\n";
	print "$eMail_msg";
	print "\n##############################################################################\n\n";
	print "Sending e-mail...";

#-------------------------------------------------------------------
#     Now send a custom e-mail using Net::SMTP
#-------------------------------------------------------------------
	# Create a new SMTP object  
	$smtp = Net::SMTP->new($ServerName, Debug => 1); 

	# If you can't connect, don't proceed with the rest of the script  
	die "Couldn't connect to server" unless $smtp;

	# Initiate the mail transaction 
	$smtp->mail( $MailFrom );  
	$smtp->to( $MailTo ); 

	# Start the mail  
	$smtp->data(); 

	# Send the header  
	# This address will appear in the message  
	$smtp->datasend("To:  $displayTo\n"); 

	# So will this one  
	$smtp->datasend("From:  $displayFrom\n");  
	$smtp->datasend("Subject: $emailSubject\n");  
	$smtp->datasend("\n"); 

	# Send the body.  

	$smtp->datasend("$eMail_msg\n"); 
	$smtp->datasend("Please take corrective action."); 

	# Send the termination string  
	$smtp->dataend(); 

	# Close the connection  
	$smtp->quit();   
	print "Done.";